package gov.anl.aps.dm.common.constants;

/**
 * DM role enum.
 */
public enum DmRole {

    USER("user"),
    ADMIN("admin");

    private final String type;

    private DmRole(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return type;
    }

    public static DmRole fromString(String type) {
        DmRole role = null;
        switch (type) {
            case "user":
                role = USER;
                break;
            case "admin":
                role = ADMIN;
                break;
        }
        return role;
    }
}
