package gov.anl.aps.dm.common.constants;

/**
 * DM status codes.
 */
public class DmStatus {

    public static final int DM_OK = 0;
    public static final int DM_ERROR = 1;
    public static final int DM_INTERNAL_ERROR = 2;
    public static final int DM_COMMUNICATION_ERROR = 3;
    public static final int DM_CONFIGURATION_ERROR = 4;
    public static final int DM_AUTHORIZATION_ERROR = 5;
    public static final int DM_AUTHENTICATION_ERROR = 6;
    public static final int DM_DB_ERROR = 7;
    public static final int DM_URL_ERROR = 8;
    public static final int DM_TIMEOUT_ERROR = 9;
    public static final int DM_INVALID_ARGUMENT = 10;
    public static final int DM_INVALID_REQUEST = 11;
    public static final int DM_INVALID_SESSION = 12;
    public static final int DM_COMMAND_FAILED = 13;
    public static final int DM_OBJECT_NOT_FOUND = 14;
    public static final int DM_OBJECT_ALREADY_EXISTS = 15;
    public static final int DM_INVALID_OBJECT_STATE = 16;
    public static final int DM_FILE_PROCESSING_ERROR = 17;
}
