/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gov.anl.aps.dm.portal.model.beans;

import gov.anl.aps.dm.portal.model.entities.UserSystemRole;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.NoResultException;
import javax.persistence.PersistenceContext;

/**
 *
 * @author sveseli
 */
@Stateless
public class UserSystemRoleDbFacade extends DmEntityDbFacade<UserSystemRole> {

    @PersistenceContext(unitName = "DmWebPortalPU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public UserSystemRoleDbFacade() {
        super(UserSystemRole.class);
    }

    public UserSystemRole findByUserAndRoleTypeAndExperimentStation(int userId, int roleTypeId, int experimentStationId) {
        try {
            return (UserSystemRole) em.createNamedQuery("UserSystemRole.findByUserAndRoleTypeAndExperimentStation")
                    .setParameter("userId", userId)
                    .setParameter("roleTypeId", roleTypeId)
                    .setParameter("experimentStationId", experimentStationId)
                    .getSingleResult();
        } catch (NoResultException ex) {
        }
        return null;
    }
}
