/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gov.anl.aps.dm.portal.model.entities;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

/**
 *
 * @author sveseli
 */
@Embeddable
public class UserSystemRolePK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Column(name = "user_id")
    private int userId;
    @Basic(optional = false)
    @NotNull
    @Column(name = "role_type_id")
    private int roleTypeId;

    public UserSystemRolePK() {
    }

    public UserSystemRolePK(int userId, int roleTypeId) {
        this.userId = userId;
        this.roleTypeId = roleTypeId;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getRoleTypeId() {
        return roleTypeId;
    }

    public void setRoleTypeId(int roleTypeId) {
        this.roleTypeId = roleTypeId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) userId;
        hash += (int) roleTypeId;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof UserSystemRolePK)) {
            return false;
        }
        UserSystemRolePK other = (UserSystemRolePK) object;
        if (this.userId != other.userId) {
            return false;
        }
        return this.roleTypeId == other.roleTypeId;
    }

    @Override
    public String toString() {
        return "gov.anl.aps.dm.portal.model.entities2.UserSystemRolePK[ userId=" + userId + ", roleTypeId=" + roleTypeId + " ]";
    }
    
}
