#!/usr/bin/env python

#
# File processing error class.
#

#######################################################################

from dm.common.constants import dmStatus 
from dm.common.exceptions.dmException import DmException

#######################################################################

class FileProcessingError(DmException):
    def __init__ (self, error='', **kwargs):
        DmException.__init__(self, error, dmStatus.DM_FILE_PROCESSING_ERROR, **kwargs)
