#!/usr/bin/env python

from dm.common.cli.dmRestCli import DmRestCli
from dm.common.utility.configurationManager import ConfigurationManager

class DaqWebServiceCli(DmRestCli):
    """ DM DAQ web service cli class. """

    def __init__(self, validArgCount=0):
        DmRestCli.__init__(self, validArgCount)

    def getDefaultServiceHost(self):
        return ConfigurationManager.getInstance().getDaqWebServiceHost()

    def getDefaultServicePort(self):
        return ConfigurationManager.getInstance().getDaqWebServicePort()
                        
