#!/usr/bin/env python

from dm.common.cli.dmRestCli import DmRestCli
from dm.common.utility.configurationManager import ConfigurationManager

class ProcWebServiceCli(DmRestCli):
    """ DM PROC web service cli class. """

    def __init__(self, validArgCount=0):
        DmRestCli.__init__(self, validArgCount)

    def getDefaultServiceHost(self):
        return ConfigurationManager.getInstance().getProcWebServiceHost()

    def getDefaultServicePort(self):
        return ConfigurationManager.getInstance().getProcWebServicePort()
                        
