#!/usr/bin/env python

#
# Implementation for workflow controller.
#

from dm.common.objects.dmObject import DmObject
from dm.common.objects.dmObjectManager import DmObjectManager
from dm.common.mongodb.api.workflowMongoDbApi import WorkflowMongoDbApi

class WorkflowSessionControllerImpl(DmObjectManager):
    """ Workflow controller implementation class. """

    def __init__(self):
        DmObjectManager.__init__(self)
        self.workflowMongoDbApi = WorkflowMongoDbApi()

    def getWorkflowByName(self, owner, name):
        return self.workflowMongoDbApi.getWorkflowByName(owner, name)

