#!/usr/bin/env python

#
# Communication error class.
#

#######################################################################

from dm.common.constants import dmStatus 
from dm.common.exceptions.dmException import DmException

#######################################################################

class CommunicationError(DmException):
    def __init__ (self, error='', **kwargs):
        DmException.__init__(self, error, dmStatus.DM_COMMUNICATION_ERROR, **kwargs)
